import { Meta, Canvas, Controls } from "@storybook/blocks";
import * as ComponentStories from "./async-promotion.stories";

<Meta of={ComponentStories} name="Docs" />

# Async Promotion

This component can be used to load Promotion content asynchronously. You need to specify the src-url to the JSON as an attribute on the `<ux-iws-async-promotion>` component. The content will be requested immediately. Then the content will be inserted into the container that is provided via the `target-selector` attribute.
If the async promotion is being used on a slider, add the utility class `ux-u-opacity-0` to the parent element of the slider,
this class will be automatically removed once the loading slide has been added.

<Canvas of={ComponentStories.Slider}></Canvas>

## Promition in Teaser

The content can also be placed into a normal `div` container. For that the `output` attribute should be set to `teaser`.

<Canvas of={ComponentStories.Default}></Canvas>

## No Promotions

In case there are no promotions available, it will only show the already existing content.

<Canvas of={ComponentStories.Empty}></Canvas>

## Integration Example

For integration, the data will be supplied automatically, the locale attribute must be set for that. This only works when you are logged into MyTRUMPF.

<Canvas of={ComponentStories.Empty}></Canvas>

## Developer Documentation

<Controls />
